Date-scoped commerce owner dashboard
curl --request GET \
--url https://api.pineyard.ai/commerce/analytics/overview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/commerce/analytics/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/commerce/analytics/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"range": "today",
"window": {
"from": "<string>",
"to": "<string>",
"previousFrom": "<string>",
"previousTo": "<string>",
"timezone": "Asia/Kolkata"
},
"orders": {
"value": 123,
"previous": 123,
"deltaPct": 123
},
"recoveredOrders": {
"value": 123,
"previous": 123,
"deltaPct": 123
},
"revenue": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"previousRevenue": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"recoveredRevenue": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"previousRecoveredRevenue": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"averageOrderValue": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"previousAverageOrderValue": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"recoveredAverageOrderValue": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"previousRecoveredAverageOrderValue": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"recoveryRate": {
"value": 123,
"previous": 123,
"deltaPoints": 123
},
"cartRecoveryRate": {
"value": 123,
"previous": 123,
"deltaPoints": 123
},
"economics": {
"currency": "INR",
"recoverySpend": 123,
"previousRecoverySpend": 123,
"workspaceSpend": 123,
"previousWorkspaceSpend": 123,
"roas": 123,
"previousRoas": 123,
"roiPct": 123,
"previousRoiPct": 123
},
"funnel": {
"abandoned": 123,
"outreachAttempted": 123,
"reached": 123,
"clicked": 123,
"recovered": 123,
"revenueAtRisk": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"rates": {
"outreach": 123,
"reached": 123,
"clicked": 123,
"recovered": 123
}
},
"codToPrepaid": {
"codOrders": 123,
"codOrdersContacted": 123,
"prepaidConfirmed": 123,
"conversionRate": 123,
"currency": "INR",
"revenueShifted": 123,
"paymentLinkClicks": 123,
"rtoSavings": 123,
"assumedRtoRatePct": 123
},
"series": [
{
"day": "<string>",
"orders": 123,
"recoveredOrders": 123,
"abandonedCarts": 123,
"revenueByCurrency": [
{
"currency": "<string>",
"amount": "<string>"
}
]
}
],
"codHealth": {
"codOrders": 123,
"cancelledOrRefunded": 123,
"rate": 123,
"paymentMethodCoveragePct": 123,
"label": "COD cancellation / refund rate"
},
"customerSummary": {
"identifiedOrders": 123,
"identityCoveragePct": 123,
"newCustomers": 123,
"returningCustomers": 123,
"repeatCustomerRate": 123
},
"coverage": {
"journeyLedgerStartedAt": "<string>",
"journeys": 123,
"exactJourneys": 123,
"exactPct": 123,
"historicalEstimate": true,
"monetizedOrders": 123,
"amountCoveragePct": 123,
"missingAmountOrCurrency": 123,
"note": "<string>"
}
}Orders & revenue
Date-scoped commerce owner dashboard
GET
/
commerce
/
analytics
/
overview
Date-scoped commerce owner dashboard
curl --request GET \
--url https://api.pineyard.ai/commerce/analytics/overview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/commerce/analytics/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/commerce/analytics/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"range": "today",
"window": {
"from": "<string>",
"to": "<string>",
"previousFrom": "<string>",
"previousTo": "<string>",
"timezone": "Asia/Kolkata"
},
"orders": {
"value": 123,
"previous": 123,
"deltaPct": 123
},
"recoveredOrders": {
"value": 123,
"previous": 123,
"deltaPct": 123
},
"revenue": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"previousRevenue": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"recoveredRevenue": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"previousRecoveredRevenue": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"averageOrderValue": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"previousAverageOrderValue": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"recoveredAverageOrderValue": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"previousRecoveredAverageOrderValue": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"recoveryRate": {
"value": 123,
"previous": 123,
"deltaPoints": 123
},
"cartRecoveryRate": {
"value": 123,
"previous": 123,
"deltaPoints": 123
},
"economics": {
"currency": "INR",
"recoverySpend": 123,
"previousRecoverySpend": 123,
"workspaceSpend": 123,
"previousWorkspaceSpend": 123,
"roas": 123,
"previousRoas": 123,
"roiPct": 123,
"previousRoiPct": 123
},
"funnel": {
"abandoned": 123,
"outreachAttempted": 123,
"reached": 123,
"clicked": 123,
"recovered": 123,
"revenueAtRisk": [
{
"currency": "<string>",
"amount": "<string>"
}
],
"rates": {
"outreach": 123,
"reached": 123,
"clicked": 123,
"recovered": 123
}
},
"codToPrepaid": {
"codOrders": 123,
"codOrdersContacted": 123,
"prepaidConfirmed": 123,
"conversionRate": 123,
"currency": "INR",
"revenueShifted": 123,
"paymentLinkClicks": 123,
"rtoSavings": 123,
"assumedRtoRatePct": 123
},
"series": [
{
"day": "<string>",
"orders": 123,
"recoveredOrders": 123,
"abandonedCarts": 123,
"revenueByCurrency": [
{
"currency": "<string>",
"amount": "<string>"
}
]
}
],
"codHealth": {
"codOrders": 123,
"cancelledOrRefunded": 123,
"rate": 123,
"paymentMethodCoveragePct": 123,
"label": "COD cancellation / refund rate"
},
"customerSummary": {
"identifiedOrders": 123,
"identityCoveragePct": 123,
"newCustomers": 123,
"returningCustomers": 123,
"repeatCustomerRate": 123
},
"coverage": {
"journeyLedgerStartedAt": "<string>",
"journeys": 123,
"exactJourneys": 123,
"exactPct": 123,
"historicalEstimate": true,
"monetizedOrders": 123,
"amountCoveragePct": 123,
"missingAmountOrCurrency": 123,
"note": "<string>"
}
}Required scope:
sales.view
Requires commerce analytics enabled for your workspace. Otherwise the request is refused; see Errors.
Authorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Query Parameters
Available options:
today, 7d, 30d, 90d Response
OK
Available options:
today, 7d, 30d, 90d Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

